com.jscape.inspect

## Class EmailInspectionLevel

- java.lang.Object
- - com.jscape.inspect.EmailInspectionLevel

- All Implemented Interfaces:
    java.io.Serializable

      public class EmailInspectionLevel
      extends java.lang.Object
      implements java.io.Serializable

  Used to control the level of validation performed for an email address.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DOMAIN_VALIDATION` Checks for valid syntax and internet domain of email address.
    `static int` | `MX_VALIDATION` Checks for valid syntax, internet domain and valid mail server of email address.
    `static int` | `SYNTAX_VALIDATION` Checks for valid syntax of email address.
    `static int` | `USER_VALIDATION` Checks for valid syntax, internet domain, mail server and user account of email address.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getLevel()` Gets current inspection level.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SYNTAX_VALIDATION

          public static final int SYNTAX_VALIDATION

      Checks for valid syntax of email address.
      See Also:
        Constant Field Values

    - #### DOMAIN_VALIDATION

          public static final int DOMAIN_VALIDATION

      Checks for valid syntax and internet domain of email address.
      See Also:
        Constant Field Values

    - #### MX_VALIDATION

          public static final int MX_VALIDATION

      Checks for valid syntax, internet domain and valid mail server of email address.
      See Also:
        Constant Field Values

    - #### USER_VALIDATION

          public static final int USER_VALIDATION

      Checks for valid syntax, internet domain, mail server and user account of email address.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getLevel

          public int getLevel()

      Gets current inspection level.
      Returns:
        a value between 1 and 4 where 1 is SYNTAX_VALIDATION and 4 is USER_VALIDATION
      See Also:
        `SYNTAX_VALIDATION`, `DOMAIN_VALIDATION`, `MX_VALIDATION`, `USER_VALIDATION`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved